#pragma once

#include "CoreMinimal.h"
#include "EK36MagicItemType.h"
#include "K36MagicItemSlotData.generated.h"

class AK36MagicItem;

USTRUCT(BlueprintType)
struct FK36MagicItemSlotData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EK36MagicItemType MagicItemClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	AK36MagicItem* MagicItemInSlot;

public:
	THEK36_API FK36MagicItemSlotData();
};

FORCEINLINE uint32 GetTypeHash(const FK36MagicItemSlotData) { return 0; }
